[arch-commits] Commit in qscintilla/trunk (PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Sun Mar 21 22:40:23 CET 2010


    Date: Sunday, March 21, 2010 @ 17:40:23
  Author: andrea
Revision: 73031

upgpkg: qscintilla 2.4.3-1
upstream release

Modified:
  qscintilla/trunk/PKGBUILD

----------+
 PKGBUILD |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-21 21:40:19 UTC (rev 73030)
+++ PKGBUILD	2010-03-21 21:40:23 UTC (rev 73031)
@@ -5,7 +5,7 @@
 # Contributor: DaNiMoTh <jjdanimoth.aur at gmail.com>
 
 pkgname=qscintilla
-pkgver=2.4.2
+pkgver=2.4.3
 pkgrel=1
 license=('GPL')
 pkgdesc="A port to Qt4 of Neil Hodgson's Scintilla C++ editor class"
@@ -16,7 +16,7 @@
 conflicts=('qscintilla2')
 replaces=('qscintilla2')
 source=("http://riverbankcomputing.com/static/Downloads/QScintilla2/QScintilla-gpl-${pkgver}.tar.gz")
-md5sums=('316dc8b53ec02548cae1c0d5acfa8ace')
+md5sums=('b1c83d42398493bedb22f4df1868627d')
 
 build() {
     cd $srcdir/QScintilla-gpl-$pkgver/Qt4
@@ -40,10 +40,10 @@
 package() {
   cd ${srcdir}/QScintilla-gpl-${pkgver}/Qt4
   make DESTDIR=${pkgdir} install || return 1
-  cp libqscintilla2.so.5.2.0 ${pkgdir}/usr/lib/ || return 1
-  ln -s libqscintilla2.so.5.2.0 ${pkgdir}/usr/lib/libqscintilla2.so
-  ln -s libqscintilla2.so.5.2.0 ${pkgdir}/usr/lib/libqscintilla2.so.5
-  ln -s libqscintilla2.so.5.2.0 ${pkgdir}/usr/lib/libqscintilla2.so.5.2
+  cp libqscintilla2.so.5.3.0 ${pkgdir}/usr/lib/ || return 1
+  ln -s libqscintilla2.so.5.3.0 ${pkgdir}/usr/lib/libqscintilla2.so
+  ln -s libqscintilla2.so.5.3.0 ${pkgdir}/usr/lib/libqscintilla2.so.5
+  ln -s libqscintilla2.so.5.3.0 ${pkgdir}/usr/lib/libqscintilla2.so.5.3
 
   cd ${srcdir}/QScintilla-gpl-${pkgver}/designer-Qt4
   cp libqscintillaplugin.so ${pkgdir}/usr/lib/qt/plugins/designer/ || return 1



More information about the arch-commits mailing list